Bug 827730 - Review Request: trac-code-comments-plugin - Trac plugin for code comments and sending them to tickets
Review Request: trac-code-comments-plugin - Trac plugin for code comments and...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 13:22 EDT by Ricky Elrod
Modified: 2012-07-03 15:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 17:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2012-06-02 13:22:57 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/trac-code-comments-plugin/trac-code-comments-plugin.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/trac-code-comments-plugin/trac-code-comments-plugin-1.2.0-alpha2.20120601gitb260714.fc18.src.rpm
Description:
This plugin allows you to leave comments on top of files, change sets, and
attachments. Once you've added all of your comments, you can send them to
tickets. These include links to these comments and their description.
Fedora Account System Username: codeblock

Clean rpmlint, minus one warning because of how the source was obtained (upstream is a tarball downloaded from github).

[ricky@t520 rpmbuild]$ rpmlint SRPMS/trac-code-comments-plugin-1.2.0-alpha2.20120601gitb260714.fc18.src.rpm 
trac-code-comments-plugin.src: W: invalid-url Source0: Automattic-trac-code-comments-plugin-v1.0.1-52-gb260714.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[ricky@t520 rpmbuild]$ rpmlint RPMS/noarch/trac-code-comments-plugin-1.2.0-alpha2.20120601gitb260714.fc18.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Note that this does have several javascript libraries bundled with it with varying licenses. I've included (in %doc) a LICENSING_BREAKDOWN file which shows what is licensed differently from the plugin itself, as instructed here: http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

Happy to clarify any of the licensing related things if I need to (or communicate with upstream to do so).
Comment 1 Ricky Elrod 2012-06-02 13:26:01 EDT
Kevin has agreed to review this. CCing.
Comment 2 Kevin Fenzi 2012-06-02 15:07:50 EDT
I'll try and review this sometime this weekend. ;)
Comment 3 Kevin Fenzi 2012-06-03 17:14:15 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
85b5ad87cb14d4d64f96050a12118d95  Automattic-trac-code-comments-plugin-v1.0.1-52-gb260714.tar.gz
85b5ad87cb14d4d64f96050a12118d95  Automattic-trac-code-comments-plugin-v1.0.1-52-gb260714.tar.gz.new
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Doc subpackage needed/used. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. The release seems a bit off here. See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages for more info.
If this is a prerelease of 1.2.0, I'd suggest: 

0.1.alpha2

or

0.1.20120601gitb260714 (if there's no tag/release of alpha2)

2. Might ask upstream to include copies of the licenses it's under. (non blocker)

3. rpmlint says: 

trac-code-comments-plugin.src: W: invalid-url Source0: Automattic-trac-code-comments-plugin-v1.0.1-52-gb260714.tar.gz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Which can be ignored.
Comment 6 Kevin Fenzi 2012-06-03 17:39:22 EDT
Looks good. I see no further blockers, so this package is APPROVED.
Comment 7 Ricky Elrod 2012-06-03 17:47:31 EDT
New Package SCM Request
=======================
Package Name: trac-code-comments-plugin
Short Description: Trac plugin for code comments and sending them to tickets
Owners: codeblock
Branches: f16 f17 el6
InitialCC:
Comment 8 Gwyn Ciesla 2012-06-15 09:07:26 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-06-15 16:02:55 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.fc16
Comment 10 Fedora Update System 2012-06-15 16:14:05 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.fc17
Comment 11 Fedora Update System 2012-06-15 16:30:50 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.el6
Comment 12 Fedora Update System 2012-06-16 13:59:36 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2012-06-26 17:27:57 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-26 17:40:24 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-07-03 15:33:22 EDT
trac-code-comments-plugin-1.2.0-0.1.20120601gitb260714.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.